Package com.xmlmind.w2x.docx.packaging

## Class Package

- java.lang.Object
- - com.xmlmind.w2x.docx.packaging.Package

-     public final class Package
      extends Object

  Easy access to the contents of a `.docx` file.

  Implementation node: the names of the Zip entries are not normalized in any way.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `File` | `docxFile` |
    `URI` | `docxURI` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Package​(File docxFile)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `Part[]` | `getAllParts()` |
    `Related[]` | `getAllRelated()` |
    `Part` | `getPart​(String partName)` |
    `Related` | `getRelated​(String relId)` |
    `Related[]` | `getRelatedByRelation​(String relation)` |
    `Part` | `getRelatedPart​(String relId)` |
    `Part[]` | `getRelatedPartByRelation​(String relation)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### docxFile

          public final File docxFile

    - #### docxURI

          public final URI docxURI

  - ### Constructor Detail

    - #### Package

          public Package​(File docxFile)
                  throws IOException,
                         PackageException

      Throws:
        `IOException`
        `PackageException`

  - ### Method Detail

    - #### getPart

          public Part getPart​(String partName)

    - #### getAllParts

          public Part[] getAllParts()

    - #### getRelated

          public Related getRelated​(String relId)

    - #### getAllRelated

          public Related[] getAllRelated()

    - #### getRelatedPart

          public Part getRelatedPart​(String relId)

    - #### getRelatedByRelation

          public Related[] getRelatedByRelation​(String relation)

    - #### getRelatedPartByRelation

          public Part[] getRelatedPartByRelation​(String relation)

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`